Subject: Re: [Gen-art] Genart telechat review of draft-ietf-spring-resiliency-use-cases-11

From: Alissa Cooper <[email-masked]>
Date: Wed, 13 Dec 2017 15:25:58 -0500

Brian, thanks for your reviews. Stefano, thanks for your responses. I have entered a No Objection ballot.

Alissa

> On Nov 14, 2017, at 4:58 AM, stefano previdi <[email-masked]> wrote:
> 
> Hi Brian,
> 
> thanks for the comments. See answers below.
> 
> 
>> On Nov 11, 2017, at 12:25 AM, Brian Carpenter <[email-masked]> wrote:
>> 
>> Reviewer: Brian Carpenter
>> Review result: Ready
>> 
>> Gen-ART telechat review of draft-ietf-spring-resiliency-use-cases-11
>> 
>> I am the assigned Gen-ART reviewer for this draft. The General Area
>> Review Team (Gen-ART) reviews all IETF documents being processed
>> by the IESG for the IETF Chair. Please wait for direction from your
>> document shepherd or AD before posting a new version of the draft.
>> 
>> For more information, please see the FAQ at
>> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>> 
>> Document:  draft-ietf-spring-resiliency-use-cases-11.txt
>> Reviewer: Brian Carpenter
>> Review Date: 2017-11-11
>> IETF LC End Date: 2017-05-04
>> IESG Telechat date: 2017-12-14
>> 
>> Summary: Ready
>> --------
>> 
>> Comment:
>> --------
>> 
>> When I reviewed this for Last Call, I had two general concerns:
>> 1) Is it useful to publish use cases now, at the end of
>> protocol development?
> 
> 
> this is an old story and you should probably read the archives of the spring mailing list ;-) 
> 
> To give you a summarized version of it, I’d say that yes, it makes sense to have the use-case properly documented. Resiliency is one of the major network operator use-case in segment routing networks and vendors are required to provide solutions for it. Having a document which can be pointed to and that describes the typical use case and requirements helps the reader in understanding how the component of the SR architecture address these requirements.
> 
> 
>> 2) The AD review dated 2017-04-20 pointed out that the
>> document should be historically consistent.
>> 
>> I'm going to assume that since the AD is bringing the draft
>> to the IESG, he's now happy on these two points.
> 
>> 
>> Minor issue:
>> ------------
>> 
>> I originally commented that Section 3 doesn't actually mention
>> any specific requirements for Spring. In conversation with
>> Stefano:
>> 
>>>> Right, but you don't state any *requirements* for SPRING that result from this case,
>>>> except the very general statement before section 3.1. Maybe that does translate
>>>> into specific requirements, but I don't see how.
>> 
>>> the generic requirement is the ability to instantiate source routed paths.
>>> These source routed paths, in the framework of this draft, are for LFAs.
>> 
>> I still think that Section 3 doesn't identify this requirement.
>> Maybe it's obvious to one skilled in the art, however. So
>> I'm going to say "Ready”.
> 
> 
> Thanks.
> s.
> 
> 
>> 
>> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art